Package com.xebialabs.xlrelease.utils

# Class Tree.Empty$

java.lang.Object
com.xebialabs.xlrelease.utils.Tree.Empty$

All Implemented Interfaces:
  `Tree<scala.runtime.Nothing$>`, `Serializable`, `scala.Equals`, `scala.Product`

Enclosing interface:
  `Tree<A>`

public static class Tree.Empty$ extends Object implements Tree<scala.runtime.Nothing$>, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.xebialabs.xlrelease.utils.Tree

  `Tree.Empty$, Tree.ListTreeOps<A>, Tree.ListTreeOps$, Tree.Node<A>, Tree.Node$, Tree.NodeOps<A>, Tree.NodeOps$, Tree.TreeOps<A>, Tree.TreeOps$, Tree.TreeTreeOps<A>, Tree.TreeTreeOps$`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Tree.Empty$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Empty$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canEqual(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Equals

  `equals`

  ### Methods inherited from interface scala.Product

  `productElementName, productElementNames`

- ## Field Details

  - ### MODULE$

    public static final Tree.Empty$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### Empty$

    public Empty$()

- ## Method Details

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`